Subject: [bug#53046] [PATCH] gnu: python-args: Patch reference to basestring.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 10 Jan 2022 08:46:16 +0100

Hi Maxime,

Quoting Maxime Devos (2022-01-09 22:15:41)
> > This fixes a build failure in the 'sanity-check' phase.
> > +             (substitute* "args.py"
> > +               (("basestring") "str"))
> 
> Does it actually fix the build failure, or is it only suppressed?
> 
> Looking at
> 
> <https://github.com/kennethreitz-archive/args/blob/master/args.py>,
> line 15--18, it appears that basestring should actually be basestring,
> at least for Python 2 (python2-args).

Believe it or not, I had totally forgotten about Python 2 when I wrote
that! ^_^'

> Also, returning #true isn't necessary anymore, and this seems better
> fit for a snippet.

OK, I'll fix it.

Thanks for reviewing,

-- 
Tanguy